<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-ico-cremo-heading" jhiTranslate="icyTrainApp.icoCremo.home.createOrEditLabel">Create or edit a Ico Cremo</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id').value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.icoCremo.name" for="field_name">Name</label>
                    <input type="text" class="form-control" name="name" id="field_name"
                           formControlName="name"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.icoCremo.numOfKugeln" for="field_numOfKugeln">Num Of Kugeln</label>
                    <input type="number" class="form-control" name="numOfKugeln" id="field_numOfKugeln"
                           formControlName="numOfKugeln"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.icoCremo.keksKornetKeks" for="field_keksKornetKeks">Keks Kornet Keks</label>
                    <input type="checkbox" class="form-control" name="keksKornetKeks" id="field_keksKornetKeks"
                           formControlName="keksKornetKeks"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.icoCremo.price" for="field_price">Price</label>
                    <input type="number" class="form-control" name="price" id="field_price"
                           formControlName="price"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.icoCremo.voyage" for="field_voyage">Voyage</label>
                    <select class="form-control" id="field_voyage" name="voyage" formControlName="voyage">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="voyageOption.id === editForm.get('voyage').value?.id ? editForm.get('voyage').value : voyageOption" *ngFor="let voyageOption of voyages; trackBy: trackVoyageById">{{voyageOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
